## rosegarden 2.1pl3

=== editor/src/Makefile ===
# Makefile for the Musical Notation Editor
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
REGEXP		= $(ROSEGARDEN)/regexp
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock -lRegexp $(SYSLIBS) $(SYSEXTRALIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib -L$(REGEXP)/lib $(LIBS) 

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(ROSEGARDEN)/bin/editor
OBJECTS		= Constructors.o Dechord.o DrawElements.o DrawGroups.o \
		DrawMTElements.o DrawMTGroups.o DrawMTStave.o \
		DrawOTElements.o DrawOTGroups.o DrawOTStave.o DrawPMX.o \
		Equation.o Filter.o Format.o GC.o IO.o ItemList.o MTime.o \
		Main.o Marks.o Menu.o MenuBar.o MenuChord.o MenuEdit.o \
		MenuFile.o MenuGroup.o MenuMarks.o MenuStave.o MenuText.o \
		MenuTools.o Methods.o MidiIn.o MidiOut.o Palette.o Rechord.o \
		Spline.o Stave.o StaveCursor.o StaveEdit.o Undo.o Visuals.o \
		Widgets.o

$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		$(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

=== interlock/src/Makefile ===

# Makefile for the Interlock library
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lmalloc -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock $(SYSLIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(INTERLOCK)/lib/libInterlock.a
OBJECTS		= ILClient.o ILServer.o 


$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		ar q $(TARGET) $(OBJECTS)
		$(RANLIB) $(TARGET)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

=== lists/src/Makefile ===

# Makefile for the Linked List Library
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lmalloc -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock $(SYSLIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(LISTS)/lib/libLists.a
OBJECTS		= Lists.o

$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		ar q $(TARGET) $(OBJECTS)
		$(RANLIB) $(TARGET)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

=== mapper/src/Makefile ===

# Makefile for the Mapper library
#
# Richard Bown, February 1997


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /home/rich/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MAPPER		= $(ROSEGARDEN)/mapper
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps -I../include

SYSLDFLAGS	= -L/usr/lib -L/usr/lib/X11
SYSLIBS		= -lmalloc -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock $(SYSLIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(MAPPER)/lib/libMapper.a
OBJECTS		= Device.o Mapper.o Timer.o


$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		ar q $(TARGET) $(OBJECTS)
		$(RANLIB) $(TARGET)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)
		rm -f $(MAPPER)/lib/libMapper.a

depend:		
# don't use Makedepend in here, there are too many different systems' files
# here are some dependencies, but this ain't perfect:

Device.o: ../../include/Mapper.h
Device.o: ../../include/SysDeps.h ../../config.h
Device.o: ../../include/Lists.h /usr/include/stdio.h
Device.o: ../../include/MidiXInclude.h
Device.o: ../../include/Yawn.h
Device.o: ../../include/MidiEvent.h
Device.o: ../../include/MidiConsts.h
Device.o: ../../include/MidiFile.h
Device.o: ../../include/MidiErrorHandler.h
Device.o: ../../include/MidiBHeap.h
Device.o: ../../include/MidiTrack.h
Device.o: ../../include/Debug.h
Device.o: ../../sequencer/src/Globals.h ../../sequencer/src/Types.h
Device.o: ../../include/ServiceNames.h
Mapper.o: ../../include/Mapper.h
Mapper.o: ../../include/SysDeps.h ../../config.h
Mapper.o: ../../include/Lists.h
Mapper.o: ../../include/MidiXInclude.h
Mapper.o: ../../include/Yawn.h
Mapper.o: ../../include/MidiEvent.h
Mapper.o: ../../include/MidiConsts.h
Mapper.o: ../../include/Debug.h

Mapper.o:	Mapper_OSS.c Mapper_SGI.c Mapper_ZILOG.c
Timer.o:	Timer_OSS.c Timer_SGI.c Timer_ZILOG.c

=== midi/src/Makefile ===

# Makefile for the Midi library
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLDFLAGS	= -L/usr/lib -L/usr/lib/X11
SYSLIBS		= -lmalloc -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock $(SYSLIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(MIDI)/lib/libMidi.a
OBJECTS		= ErrorHandler.o File.o VarLenNums.o Event.o BHeap.o Track.o


$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		ar q $(TARGET) $(OBJECTS)
		$(RANLIB) $(TARGET)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

=== petal/petaleditor/Makefile ===
all : pkgIndex.tcl

pkgIndex.tcl : PetalEditor.tcl
	@echo "The error message for PetalEditor.tcl is normal"
	echo "pkg_mkIndex . PetalEditor.tcl" | tclsh

=== petal/petalmidi/Makefile ===
all : pkgIndex.tcl

pkgIndex.tcl : PetalMidi.tcl
	@echo "The error message for PetalMidi.tcl is normal"
	echo "pkg_mkIndex . PetalMidi.tcl" | tclsh

=== regexp/src/Makefile ===

# Makefile for the Regexp library
#
# This is Henry Spencer's regexp library.  See README
# and COPYRIGHT for original distribution notices.
# 
# Some minor changes by Chris Cannam, solely to make
# function definitions ANSI-style rather than K&R-style
# so as to compile with the same environment/options as
# the Rosegarden source.  (I've also changed the
# include from regexp.h to Regexp.h and moved it into
# ../include, again in line with the policy of the rest
# of this source tree.)  Any errors are doubtless the
# fault of this mangling.


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

REGEXP  	= $(ROSEGARDEN)/regexp
INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lmalloc -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock -lRegexp $(SYSLIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib -L$(REGEXP)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(REGEXP)/lib/libRegexp.a
OBJECTS		= regerror.o regexp.o regsub.o 


$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		ar q $(TARGET) $(OBJECTS)
		$(RANLIB) $(TARGET)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

=== sequencer/src/Makefile ===

# Makefile for the Sequencer
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common
MAPPER		= $(ROSEGARDEN)/mapper

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lMapper -lLists -lMidi -lInterlock $(SYSLIBS) $(SYSEXTRALIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(MAPPER)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS) 

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(ROSEGARDEN)/bin/sequencer
OBJECTS		= Clipboard.o Csound.o Dispatch.o EventDlgs.o EventListMenu.o \
		  EventListWindow.o Filter.o Main.o MainWindow.o Menu.o \
		  Message.o MidiSetupDlgs.o Parse.o PianoRoll.o PianoRollMenu.o\
		  Record.o Sequence.o Tracking.o TrackList.o Undo.o

$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		$(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- `echo $(OBJECTS)|sed s/\\\.o/.c/g`

=== topbox/src/Makefile ===

# Makefile for the Rosegarden Top Box
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lMidi -lInterlock -lLists $(SYSLIBS) $(SYSEXTRALIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(ROSEGARDEN)/bin/rosegarden
OBJECTS		= Main.o Remote.o Visuals.o Widgets.o


$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		$(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

=== yawn/src/Makefile ===

# Makefile for the YAWN Library
#
# Chris Cannam, February 1995

# This needs a bit of care, because YHelp.c and YSmeHack.c are
# K&R whilst the other files are ANSI.  If you get loads of errors,
# that could be why.


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps -I../bitmaps

SYSLIBS		= -lmalloc -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock $(SYSLIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib $(LIBS)

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(YAWN)/lib/libY.a
OBJECTS		= Yawn.o YFile.o YHelp.o YMenu.o YSmeBSB.o YPop.o YTextEntry.o YToolbar.o YOptionMenu.o

$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		ar q $(TARGET) $(OBJECTS)
		$(RANLIB) $(TARGET)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c

## rosegarden 2.1pl4-2

=== debian/changelog ===
rosegarden (2.1pl4-2) unstable; urgency=low

  * Fixed Priority field in debian/control. It should have been set
    to extra, as it was before making the dummy package.
  * Set Architecture field in debian/control to All. This package is now
    architecture independent.
	
 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 14 Aug 2004 14:39:52 -0400

rosegarden (2.1pl4-1) unstable; urgency=low

  * The package for rosegarden 2.1 has been renamed to "rosegarden2"
    "rosegarden" is now a dummy package depending on "rosegarden2". In
    future Debian releases "rosegarden" will be the Debian package
    holding Rosegarden version 4, now in package "rosegarden4".

 -- Enrique Robledo Arnuncio <era@debian.org>  Fri, 13 Aug 2004 20:10:58 -0400

rosegarden (2.1pl3-1) unstable; urgency=low

  * New upstream version.
  * Fixed the do-install script to honor the nostrip flag
    in DEB_BUILD_OPTIONS.
  * Rosegarden is now linked against the xaw3d library. Closes: #104562.
  * The old potato package names have been removed from Build-Depends.
  * Updated the Rosegarden home page URL in the package description
    and the download address in the copyright file.
  * Autoconf is now invoked at configuration time. Added its build
    dependency. Autoconf generated files are removed at cleanup.
  * Updated the standards version.
  * Fixed Version.h version numbers (upstream forgot to update them).
  * Increased DH_COMPAT level to have the defaults file automatically
    marked as conffile by debhelper
  * Removed the INSTALL file from the doc directory.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sun, 21 Oct 2001 13:49:40 +0200

rosegarden (2.1pl2-5) unstable; urgency=low

  * Fixed configure and configure.in. They now can find Xaw all right.
  * Added -lXpm flag to the compile flags in the Makefiles, because
    Xaw functions may depend on Xpm. This might have been avoiding
    compilation for m68k.
  * Recompiled with new libxaw version. It now displays help text
    correctly.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 10 Mar 2001 19:47:09 +0100

rosegarden (2.1pl2-4) unstable; urgency=low

  * Moved all the files from /usr/X11R6 to /usr.
  * Architecture-independent files moved to /usr/share/rosegarden.
  * Added menu hints.

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 7 Feb 2001 17:52:27 +0100

rosegarden (2.1pl2-3) unstable; urgency=low

  * Moved app defaults to etc/X11/app-defaults. closes: #77907
  * Updated maintainer mail address.
  * Updated upstream information in README.Debian.
  * New standards version.
  * Added shlibs.local to avoid forcing the libxaw6 package.

 -- Enrique Robledo Arnuncio <era@debian.org>  Mon, 27 Nov 2000 17:21:37 +0100

rosegarden (2.1pl2-2) unstable; urgency=low

  * New maintainer.

 -- Enrique Robledo Arnuncio <erobledo@ieee.org>  Fri, 16 Jun 2000 12:46:32 +0200

rosegarden (2.1pl2-1) unstable; urgency=low

  * New upstream release.
  * Removed lots of cruft from the Debian diff.
  * debian/rules [clean]: Call dh_clean.
  * debian/rules [clean]: Don't remove include/.
  * debian/rules [clean]: Rename all Makefile.dist files
    to Makefile.  This fixes a lot of cruft buildup in
    the Debian diff.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 21 Nov 1999 11:47:52 +0200

rosegarden (2.1-6) unstable; urgency=low

  * configure.in: Disable petal to get rid of tclmidi dependency
    at the request of tclmidi maintainer
  * debian/control [Depends]: Remove tclmidi.
  * debian/control [Standards-Version]: 3.1.1
  * debian/copyright: Added GPL path.
  * debian/control [Build-Depends]: Added.
  * do-install: Don't install pedal.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 21 Nov 1999 10:24:00 +0200

rosegarden (2.1-5) unstable; urgency=low

  * New maintainer.
  * Upload with source, closes: #48631.
  * Bugs fixed by previous uploads, closes: #16105.
  * Don't explicitly mention the manpage on the command line of dh_compress.
  * Delete include/ on clean

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  4 Nov 1999 23:37:45 +0200

rosegarden (2.1-4) unstable; urgency=low

  * Moved to debhelper.
  * Fixed Bug#16105: Changelogs should now be compressed.
  * Added manpage.
  * Moved examples to /usr/doc/rosegarden/examples

 -- Will Lowe <lowe@debian.org>  Fri, 19 Mar 1999 18:28:46 -0500
  

rosegarden (2.1-3) unstable; urgency=low

  * Fixed dependencies: Now depends on xlib6g instead of xlib6 AND xlib6g.
  * Changed all maintainer references from harpo@udel.edu to lowe@debian.org.
  * Fixed Bug#16106: rosegarden: no menu file.

 -- Will Lowe <lowe@debian.org>  Sat, 20 Dec 1997 13:28:42 -0500

rosegarden (2.1-2) unstable; urgency=low

  * Cosmetic change:  Fixed description in control file.

 -- Will Lowe <lowe@debian.org>  Sun,  9 Nov 1997 18:44:58 -0500

rosegarden (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Will Lowe <lowe@debian.org>  Fri, 31 Oct 1997 08:58:09 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: rosegarden
Section: sound
Priority: extra
Maintainer: Enrique Robledo Arnuncio <era@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rosegarden
Architecture: all
Depends: rosegarden2 (>= 2.1pl4)
Description:  An integrated MIDI sequencer and musical notation editor
 Rosegarden 2 (X11 Rosegarden) is a free integrated musical notation
 editor and MIDI sequencer for Unix/X platforms, with specific support
 for Linux PCs and SGI IRIX workstations.
 .
 Rosegarden 2 is a very old applicaton no longer in development. You
 will probably want to use its reincarnation, Rosegarden 4, which is
 being developed as a KDE/Qt application. A beta version is available
 in the rosegarden4 Debian package. See the Rosegarden Web page at
 http://www.rosegardenmusic.com/ for more information.
 .
 This is a dummy package for a future package name transition. You
 can safely uninstall/purge it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rosegarden 10.02

=== debian/changelog ===
rosegarden (1:10.02-0ubuntu5) maverick; urgency=low

  * No change rebuild for jack transition

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 22 Jul 2010 15:40:36 -0500

rosegarden (1:10.02-0ubuntu4) maverick; urgency=low

  * Add patch to fix FTBFS due to the landing of new QT libs.
  * Bump Standards.
  * Wrap long lines.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Jul 2010 10:01:52 +0200

rosegarden (1:10.02-0ubuntu3) maverick; urgency=low

  * No-change rebuild for JACK2 transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 13:00:08 +0200

rosegarden (1:10.02-0ubuntu2) lucid; urgency=low

  * Add debian/patches/menu-fix.patch to fix the file menu (LP: #524218).
    Thanks to SevenMachines!

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 20 Feb 2010 18:55:18 +0100

rosegarden (1:10.02-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Remove build-dependency on kdelibs5-dev (Rosegarden no longer uses KDE)
    - Remove build-dependency on cmake; no longer used
    - Add build-depends on libqt4-dev, libsm-dev, libsndfile1-dev,
      libsamplerate0-dev, and xutils-dev
    - Remove debian/patches, all patches either merged or irrelevant. Also
      remove dpatch build-depend
    - Update .install files for new upstream release
    - Remove manpages for now-nonexistant binaries
    - Remove debian/x-rosegarden.desktop, upstream seems to support this now
    - Remove konqueror as an optional depend for rosegarden, any www-browser
      will do, and Konqueror has no significance now that Rosegarden doesn't
      use KDE for launching the browser
    Fixes LP: #521706
  * Switch packaging to dh short rules:
    - Bump debhelper version to 7.3.16
    - Bump compat to 7
    - Add manpages file for the rosegarden manpage
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.8.4
  * Add dependency on samplerate-programs (LP: #360812)
  * Recommend timidity. Don't worry, you can opt to not install it by passing
    --no-install-recommends to apt while installing rosegarden (LP: #308303)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 16 Feb 2010 20:51:59 -0500

rosegarden (1:1.7.3-1ubuntu2) lucid; urgency=low

  * debian/control: changed build dependency on liblo0-dev to liblo-dev
    because of liblo0ldbl -> liblo7 transition (LP: #517416)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 05 Feb 2010 19:51:13 +0000

rosegarden (1:1.7.3-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop depends on kdebase-bin since it isn't actually required, is now
      KDE4, and rosegarden is KDE3, and unnecessarily drags in half of KDE4
      for non-KDE users
    - debian/rosegarden-data.install:
      + Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
        help documentation.
    - debian/control:
      + Build-Depends on libfftw3-dev instead of fftw3-dev.
      + Suggest khelpcenter4 instead of recommend khelpcenter.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Apr 2009 00:07:13 -0400

rosegarden (1:1.7.3-1) unstable; urgency=low

  * New Upstream Version

 -- Mike O'Connor <stew@debian.org>  Tue, 24 Feb 2009 07:53:26 -0500

rosegarden (1:1.7.2-2ubuntu2) jaunty; urgency=low

  * Drop depends on kdebase-bin since it isn't actually require, is now KDE4,
    and rosegarden is KDE3, and unnecessarily drags in half of KDE4 for
    non-KDE users (LP: #278062)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Feb 2009 06:35:29 -0500

rosegarden (1:1.7.2-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #321364), Ubuntu remaining changes:
    - debian/rosegarden-data.install:
      + Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
        help documentation.
    - debian/control:
      + Build-Depends on libfftw3-dev instead of fftw3-dev.
      + Use khelpcenter4 instead of khelpcenter.
  * Move khelpcenter4 from Recommends to Suggests (LP: #321361).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 28 Jan 2009 08:11:17 +0100

rosegarden (1:1.7.2-2) unstable; urgency=low

  * fix debian/rules so build-arch doesn't build arch-indep package and
    vice-versa
  * change permissions in debian/rules from 664 to 644 (thanks: Stuart 
    Prescott)
  * change x-www-browser to sensible-browser (thanks: Stuart Prescott)
  * Add extra includes required by gcc 4.4 (thanks: Martin Michlmayr) 
    (Closes: #504893)
  * switch watchfile to use new sf.net redirector
	
 -- Mike O'Connor <stew@debian.org>  Thu, 15 Jan 2009 16:33:03 -0500

rosegarden (1:1.7.2-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313399
    - Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev
    - Recommend khelpcenter4 instead of khelpcenter.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 03 Jan 2009 13:33:41 +0530

rosegarden (1:1.7.2-1) unstable; urgency=low

  * New upstream release
  * update Standards-Version to 3.8.0 (no changes required)

 -- Mike O'Connor <stew@debian.org>  Wed, 31 Dec 2008 11:52:51 -0500

rosegarden (1:1.7.1-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev.
    - Recommend khelpcenter4 instead of khelpcenter.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 20 Nov 2008 06:08:19 +1100

rosegarden (1:1.7.1-1) unstable; urgency=low

  * New upstream release
  * Moved khelpcenter from Depends to Recommends (Closes: #493450)
  * Added x-terminal-emulator as alternative dependency to xterm (Closes: #493913)

 -- Free Ekanayaka <freee@debian.org>  Sat, 30 Aug 2008 07:37:05 +0100

rosegarden (1:1.7.0-1ubuntu3) intrepid; urgency=low

  * debian/rules: Depend on khelpcenter4 instead of the obsolete
    khelpcenter.



=== debian/control ===
Source: rosegarden
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 7.3.16),
 libqt4-dev,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 ladspa-sdk,
 liblrdf0-dev,
 liblircclient-dev,
 dssi-dev (>= 0.4),
 liblo-dev,
 libxft-dev,
 libfftw3-dev,
 libsm-dev,
 libsndfile1-dev,
 libsamplerate0-dev,
 xutils-dev
Standards-Version: 3.9.0
Homepage: http://www.rosegardenmusic.com/
Vcs-Svn: svn://svn.debian.org/demudi/rosegarden/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/demudi/rosegarden/op=log

Package: rosegarden
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 rosegarden-data (= ${source:Version}),
 libxml-twig-perl,
 sndfile-programs,
 samplerate-programs,
 xterm | x-terminal-emulator,
 www-browser,
 flac
Replaces: rosegarden4,rosegarden2
Provides: rosegarden4,rosegarden2
Conflicts: rosegarden4 (<< 1:1.2.3), rosegarden2 (<< 1:1.2.3)
Recommends: jackd,
 lilypond,
 swh-plugins | ladspa-plugin
Suggests: qjackctl,
 khelpcenter4
Description: music editor and MIDI/audio sequencer
 Rosegarden is a KDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: rosegarden
Priority: optional
Conflicts: rosegarden4 (<< 1:1.2.3), rosegarden2 (<< 1:1.2.3)
Description: music editor and MIDI/audio sequencer data files
 Rosegarden is a KDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
	#No tests, so override with nothing
%:
	dh $@

=== debian/watch ===
version=3

# Pattern
http://sf.net/rosegarden/rosegarden-(1.+)\.tar\.bz2 debian uupdate

## rosegarden 10.04.2

=== debian/changelog ===
rosegarden (1:10.04.2-1) unstable; urgency=low

  [ Stuart Prescott ]
  * New upstream version 10.04 (Closes: #573802, #565071, #567797)
    - rosegardensequencer no longer exists (Closes: #510661, #492871, #490673)
  * Change build system to dh7 and 3.0 (quilt)
  * Drop all existing Debian patches (no longer required)
  * Update packaging for new upstream version
  * Update manpage for new upstream version
  * Patch clean target of Makefile to clean all autogenerated files
  * Explicitly link against libz, libdl and libX11 (Closes: #556326)
  * Switch maintainer to pkg-multimedia
  * Add myself as an uploader
  * Bump standards-version to 3.8.4 (no changes required)

  [ Mike O'Connor ]
  * remove myself from uploaders

 -- Mike O'Connor <stew@debian.org>  Wed, 12 May 2010 21:02:42 -0400

rosegarden (1:1.7.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Move to liblo-dev instead of versioned liblo0-dev
    build-dep. (Closes: #530852)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 09 Mar 2010 13:36:08 +0100

=== debian/control ===
Source: rosegarden
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.0.50~),
               automake,
               pkg-config,
               xutils-dev,
               libx11-dev,
               libsm-dev,
               libqt4-dev,
               libasound2-dev (>= 1.0.0),
               libjack-dev,
               ladspa-sdk,
               liblrdf0-dev,
               liblircclient-dev,
               dssi-dev (>= 0.4),
               liblo-dev,
               fftw3-dev,
               libsndfile1-dev,
               libsamplerate-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/
Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git

Package: rosegarden
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libxml-twig-perl,
         sndfile-programs,
         flac
Replaces: rosegarden4,
          rosegarden2,
          rosegarden-data
Provides: rosegarden4,
          rosegarden2
Conflicts: rosegarden4 (<< 1:1.2.3),
           rosegarden2 (<< 1:1.2.3),
           rosegarden-data
Recommends: jackd,
            lilypond,
            ghostscript,
            okular | pdf-viewer,
            cups-bsd | lpr,
            swh-plugins | ladspa-plugin,
            konqueror | www-browser
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
ARCH=$(DEB_BUILD_ARCH)

ifeq ($(ARCH),alpha)
CXXFLAGS+=-O0 -mieee
else
CXXFLAGS+=-O2
endif

# DEBUGGING FLAGS.
# CXXFLAGS+=-g3 -gstabs+ -fexceptions
# DEB_BUILD_OPTIONS+=nostrip
# export CXXFLAGS
# export DEB_BUILD_OPTIONS

###

%:
	dh $@

override_dh_auto_configure:
	sh ./bootstrap.sh
	dh_auto_configure

override_dh_auto_test:

.PHONY: override_dh_auto_test override_dh_auto_configure

## rosegarden 10.10

=== debian/changelog ===
rosegarden (1:10.10-1) experimental; urgency=low

  [ Alessio Treglia ]
  * New upstream release (Closes: #602369).
  * Add git-buildpackage config file.
  * Refresh patches.
  * debian/control:
    - Set priority to optional.
    - Wrap long lines.
    - Don't Replace/Provide/Conflict on rosegarden{2,4} as they are no
      longer available in the archive.
    - Bump Standards.
  * debian/rules:
    - Don't touch autom4te.cache directory, it's provided by upstream.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Tue, 23 Nov 2010 17:17:02 +0100

=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.0.50~),
 automake,
 pkg-config,
 xutils-dev,
 libx11-dev,
 libsm-dev,
 libqt4-dev,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 ladspa-sdk,
 liblrdf0-dev,
 liblircclient-dev,
 dssi-dev (>= 0.4),
 liblo-dev,
 fftw3-dev,
 libsndfile1-dev,
 libsamplerate-dev
Standards-Version: 3.9.1
Homepage: http://www.rosegardenmusic.com/
Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git

Package: rosegarden
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libxml-twig-perl,
 sndfile-programs,
 flac
Replaces: rosegarden-data
Conflicts: rosegarden-data
Recommends: jackd,
 lilypond,
 ghostscript,
 okular | pdf-viewer,
 cups-bsd | lpr,
 swh-plugins | ladspa-plugin,
 konqueror | www-browser
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 %:
 	dh $@
 
+override_dh_clean:
+	dh_clean -Xautom4te.cache
+
 override_dh_auto_configure:
 	sh ./bootstrap.sh
 	dh_auto_configure

## rosegarden 11.06

=== debian/changelog ===
rosegarden (1:11.06-1) unstable; urgency=low

  * New upstream release:
    - Bugfixes:
      + A commonly-used time entry widget has been worked over to improve
        its functionality, and solve some usability problems.
      + Fixed undo after copying/pasting a range
      + When adding marks to a selection that includes a mixture of notes
        and rests, avoid applying meaningless marks to the rests
      + Insert Range now preserves the loop/range
      + Fixed a nasty LilyPond export bug that was causing problems with
        human performances where the notes had a physical start time that
        significantly preceded the bar line
    - New features:
      + Expose the instrument alias to external plugin GUIs so that plugins
        are easier to identify in applications like FLAM
      + Export LilyPond code using any of LilyPond's supported languages

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 00:57:37 +0200

rosegarden (1:11.02-2) unstable; urgency=low

  * Add -DBG package.
  * debian/rules:
    - Tune dh_strip to move the debugging symbols into rosegarden-dbg.
    - Also remove PHONY line, no longer needed.
    - Enable parallel builds.
    - Pass --enable-debug to the configure script.
  * Strip incorrect MIME types out of the desktop file (Closes: #592143).
    - Rosegarden is proposed as application to handle ogg,mp3,flac and wav
      files but it's not able to open them as expected.
  * Remove lintian-overrides, it is not needed anymore:
    - Add XPM icon.
    - Fix menu file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 May 2011 12:30:35 +0200

rosegarden (1:11.02-1) unstable; urgency=low

  * New upstream bugfix release "Claire de Lune":
    - Track numbers are no longer cut off.
    - The notation and matrix editors now treat a series of tied
      notes as though it were a single unit, which fixes several
      problems that have been outstanding since as far back as 2002.
    - Resizing a segment via click and drag near the edge or with
      the resize tool now leaves that segment as the selected
      segment.
    - When attempting to select a note by clicking toward the
      extreme edges of the note head, it is less likely that you
      will move the note instead of merely selecting it.
    - Insertion / Playback pointer correctly advances in Notation
      editor when entered notes are split and tied.
    - Progress dialogs tweaked to fine tune their behavior
    - Alt+PgUp and Alt+PgDown now highlight the events in a
      segment in Notation view consistently
    - New features:
      + The matrix editor represents tied notes with a different
        fill pattern.
      + The split-and-tie long notes option has been made the
        factory default once more, in light of the vastly improved
        handling of ties in the matrix and notation editors.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 10:13:10 +0100

rosegarden (1:10.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Feb 2011 13:49:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,16 +21,16 @@
 ###
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_clean:
 	dh_clean -Xautom4te.cache
 
 override_dh_auto_configure:
 	sh ./bootstrap.sh
-	dh_auto_configure
+	dh_auto_configure -- --enable-debug
 
 override_dh_auto_test:
 
-.PHONY: override_dh_auto_test override_dh_auto_configure
-
+override_dh_strip:
+	dh_strip --dbg-package=rosegarden-dbg

## rosegarden 11.11.11

=== debian/changelog ===
rosegarden (1:11.11.11-1) unstable; urgency=low

  * New upstream release.
  * Add GenericEntries to the desktop file (Closes: #640991)

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 00:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
- Stuart Prescott <stuart+debian@nanonanonano.net>
+ Stuart Prescott <stuart+debian@nanonanonano.net>,
+ Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  automake,
  pkg-config,
@@ -21,7 +22,7 @@
  fftw3-dev,
  libsndfile1-dev,
  libsamplerate-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.rosegardenmusic.com/
 Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git
@@ -48,3 +49,17 @@
  sequencer (for playback and recording), a multi-track editor, music
  editing using both piano-roll and score notation, MIDI file IO,
  lilypond and Csound files export, etc.
+
+Package: rosegarden-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: rosegarden (= ${binary:Version}),
+ ${misc:Depends}
+Description: Debugging symbols for Rosegarden
+ Rosegarden is a Qt application which provides a mixed Audio/MIDI
+ sequencer (for playback and recording), a multi-track editor, music
+ editing using both piano-roll and score notation, MIDI file IO,
+ lilypond and Csound files export, etc.
+ .
+ This package provides the debugging symbols.

## rosegarden 11.11.42

=== debian/changelog ===
rosegarden (1:11.11.42-1ubuntu1.1) precise-proposed; urgency=low

  * Avoid hanging on when importing/recording MIDI. (LP: #1019400)
    In some situations a MIDI event could be unsplittable, so add a check
    to make sure the notation duration is truncated to the event duration
    to prevent entering an endless loop.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 10 Sep 2012 14:07:36 +0200

rosegarden (1:11.11.42-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913421).  Remaining changes:
    - add --with-qtlibdir at override_dh_auto_configure to fix
      FTBFS with multiarch, thanks to Andreas Moog.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 08 Jan 2012 16:23:28 +0100

rosegarden (1:11.11.42-1) unstable; urgency=low

  * New upstream release.
  * debian/*: Wrap and sort.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Dec 2011 10:17:06 +0100

rosegarden (1:11.11.11-1ubuntu2) precise; urgency=low

  * debian/rules:
    - add --with-qtlibdir at override_dh_auto_configure to fix
      FTBFS with multiarch, thanks to Andreas Moog.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 16 Dec 2011 18:30:35 +0100

rosegarden (1:11.11.11-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #905015).
  * Drop changes:
    - Fixed configure for multi-arch (LP: #832832), FTBFS with armel.
  * Imported fix-multiarch-build.patch from upstream to corretly fix
    FTBFS with multiarch, thanks to Andreas Moog.
 -- Leo Iannacone <l3on@ubuntu.com>   Fri, 16 Dec 2011 16:22:19 +0100

rosegarden (1:11.06-1ubuntu1) oneiric; urgency=low

  * Fixed configure for multi-arch (LP: #832832).

 -- Stephen M. Webb <stephen@ubuntu.com>  Mon, 12 Sep 2011 14:02:05 -0400

=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart+debian@nanonanonano.net>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 automake,
 dssi-dev (>= 0.4),
 fftw3-dev,
 ladspa-sdk,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 liblircclient-dev,
 liblo-dev,
 liblrdf0-dev,
 libqt4-dev,
 libsamplerate-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 pkg-config,
 xutils-dev
Standards-Version: 3.9.2
Homepage: http://www.rosegardenmusic.com/
Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git

Package: rosegarden
Architecture: any
Depends:
 flac,
 libxml-twig-perl,
 sndfile-programs,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 rosegarden-data
Conflicts:
 rosegarden-data
Recommends:
 cups-bsd | lpr,
 ghostscript,
 jackd,
 konqueror | www-browser,
 lilypond,
 okular | pdf-viewer,
 swh-plugins | ladspa-plugin
Suggests:
 qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 rosegarden (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Rosegarden
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 override_dh_auto_configure:
 	sh ./bootstrap.sh
-	dh_auto_configure -- --enable-debug
+	dh_auto_configure -- --enable-debug --with-qtlibdir=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 override_dh_auto_test:

## rosegarden 12.04

=== debian/changelog ===
rosegarden (1:12.04-1) unstable; urgency=low

  * New upstream release:
    - Fix build failure with GCC 4.7 (Closes: #667359)
    - Add German translation of rosegarden.desktop's Comment field.
      Thanks to Ronny Standtke for the patch. (Closes: #667622)
  * Build with Qt4's multiarchified new release (Closes: #655098)
  * Recommend wavpack. (Closes: #663450)
  * Add awesfx on Suggests. (LP: #776077)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 13 May 2012 23:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>,
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart+debian@nanonanonano.net>,
  Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
  automake,
+ debhelper (>= 7.0.50~),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -23,7 +24,7 @@
  libx11-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.rosegardenmusic.com/
 Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git
@@ -47,8 +48,10 @@
  konqueror | www-browser,
  lilypond,
  okular | pdf-viewer,
- swh-plugins | ladspa-plugin
+ swh-plugins | ladspa-plugin,
+ wavpack
 Suggests:
+ awesfx,
  qjackctl
 Description: music editor and MIDI/audio sequencer
  Rosegarden is a Qt application which provides a mixed Audio/MIDI

## rosegarden 12.12.25

=== debian/changelog ===
rosegarden (1:12.12.25-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Dec 2012 19:36:07 +0000

## rosegarden 13.04

=== debian/changelog ===
rosegarden (1:13.04-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 01:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,10 @@
  libx11-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.rosegardenmusic.com/
-Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git
 
 Package: rosegarden
 Architecture: any

## rosegarden 13.06

=== debian/changelog ===
rosegarden (1:13.06-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Aug 2013 16:06:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Stuart Prescott <stuart+debian@nanonanonano.net>,
- Alessio Treglia <alessio@debian.org>
+ Stuart Prescott <stuart+debian@nanonanonano.net>
 Build-Depends:
  automake,
  debhelper (>= 7.0.50~),

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
 ARCH=$(DEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(ARCH),alpha)
 CXXFLAGS+=-O0 -mieee
@@ -28,7 +29,9 @@
 
 override_dh_auto_configure:
 	sh ./bootstrap.sh
-	dh_auto_configure -- --enable-debug --with-qtlibdir=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		--enable-debug \
+		--with-qtlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_test:

=== debian/watch ===
version=3

http://sf.net/rosegarden/rosegarden-(1.+)\.tar\.bz2
